public class RandomValueFilter : ISkillEnvironmentalFilter
{
	private int _range;

	public RandomValueFilter(string rangeString)
	{
		_range = int.Parse(rangeString);
	}

	public int Filtering(IBattlePlayerReadOnlyInfo playerInfo, SkillConditionCheckerOption option)
	{
		return BattleManagerBase.GetIns().StableRandom(_range);
	}

	public int FilteringPrePlay(IBattlePlayerReadOnlyInfo playerInfo, SkillConditionCheckerOption option)
	{
		return Filtering(playerInfo, option);
	}
}
